--[[
Name: CompostStub-1.0
Revision: $Rev: 1 $
Developed by: Antiarc
Documentation: 
SVN: http://svn.digitalsentience.com/svn/wow/trunk/CompostStub-1.0
Description: Library to serve as a Lua 5.1 substitute for Compost to get the performance gains of Lua 5.1's incremental garbage collection without having
			 to rip your compost usage out of your addons.
]]--

local MAJOR_VERSION = "CompostStub-1.0"
local MINOR_VERSION = "$Revision: 1 $"
if not AceLibrary then error(MAJOR_VERSION .. " requires AceLibrary.") end
if not AceLibrary:IsNewVersion(MAJOR_VERSION, MINOR_VERSION) then return end
local CompostStub = {}

function CompostStub:GetTable()
	return {}
end

function CompostStub:Acquire(...)
	return {...}
end

function CompostStub:AcquireHash(...)
	local retval = {}
	local lastKey = nil
	for k,v in pairs({...}) do
		if lastKey then
			retval[lastKey] = v
			lastKey = nil
		else			
			lastKey = v
			retval[lastKey] = nil
		end
	end
	return retval
end

function CompostStub:Erase()
	return {}
end

function CompostStub:Reclaim()
end

function CompostStub:ReclaimMulti()
end

function CompostStub:Recycle(t, ...)
	return {...}
end

function CompostStub:RecycleHash(t, ...)
	return self:AcquireHash(...)
end

function CompostStub:Stats()
end

local function activate(self, oldLib, oldDeactivate)
	if oldDeactivate then
        oldDeactivate(oldLib)
    end	
end

AceLibrary:Register(CompostStub, MAJOR_VERSION, MINOR_VERSION, activate)
CompostStub = nil